Distribution to build Testing (LFS6.0)

Matthias B. msbREMOVE-THIS at winterdrache.de
Sun Sep 12 03:36:05 PDT 2004


On Sat, 11 Sep 2004 08:05:42 -0400 "John McSwain" <jmcswain at infoave.net>
wrote:

> Well having run into problems trying to use LFS 3.0 to build LFS 6.0, I
> downloaded vector linux 4.3 RC1 running kernel 2.6.7.  

I don't know what vector linux is, but why don't you just update your LFS
3.0 to the new binutils, gcc and kernel. That's what I did. 
To avoid messing up your host you can install them with
--prefix=/opt/newtools. Then you'll have to make sure that
/opt/newtools/bin is first in PATH so that the new tools are used when you
build kernel 2.6.x. 

There's one little problem left and that's the dynamic libraries that
programs compiled with the new GCC need. This is solved through

export LD_LIBRARY_PATH=/usr/lib/gcc/<platform>/<version>

MSB

-- 
Bombs don't kill people. Explosions kill people.




More information about the lfs-support mailing list